### Constructor

# Dex Future new_for_int

#### Declaration [src]

    DexFuture*
    dex_future_new_for_int (
      int v_int
    )

#### Description [src]

Creates a new `DexFuture` and resolves it with `v_int`.

#### Parameters

`v_int`

  Type: `int`

  The resolved value for the future.

#### Return value

Type: `DexFuture`

A resolved `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.